{
  description = "System flake for Linode NixOS server";

  nixConfig = {
    extra-substituters = "https://srid.cachix.org";
    extra-trusted-public-keys = "srid.cachix.org-1:3clnql5gjbJNEvhA/WQp7nrZlBptwpXnUk6JAv8aB2M=";
  };

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.11";

    emanote.url = "github:srid/emanote";
    emanote.inputs.emanote-template.follows = "";
    flake-parts.follows = "emanote/flake-parts";
    # nixpkgs.follows = "emanote/nixpkgs";
  };

  outputs = inputs@{ self, nixpkgs, emanote, ... }:
    {
      nixosConfigurations.linode-nixos =
        nixpkgs.lib.nixosSystem {
          specialArgs = { inherit inputs emanote; };
          modules = [
            ./server-config/configuration.nix

            ./nixos-apps
          ];
        };

      hydraJobs = {
        inherit (self)
          nixosConfigurations;
      };
    };
}
