let
  baseUrl = "hydra.fancyTypist.com";
  HOST = "localhost";
  PORT = 8246;
in
{
  services.hydra = {
    enable = false;
    port = PORT;
    hydraURL = "https://${HOST}:${toString PORT}";
    notificationSender = "hydra@fancyTypist.com";
    buildMachinesFiles = [ ];
    useSubstitutes = true;
  };

  services.caddy = {
    enable = true;
    virtualHosts = {
      "${baseUrl}" = {
        extraConfig = ''
          reverse_proxy ${HOST}:${toString PORT}
        '';
      };
    };
  };
}
