{ pkgs, ... }:
let
  baseUrl = "paperless.ewanick.com";
  HOST = "localhost";
  PORT = 28981;
in
{
  services.paperless = {
    enable = true;
    address = HOST;
    port = PORT;
    passwordFile = "/run/keys/paperless-password";
  };
  systemd.services.paperless-scheduler.after = [ "var-lib-paperless.mount" ];
  systemd.services.paperless-consumer.after = [ "var-lib-paperless.mount" ];
  systemd.services.paperless-web.after = [ "var-lib-paperless.mount" ];

  services.caddy = {
    enable = true;
    virtualHosts = {
      "${baseUrl}" = {
        extraConfig = ''
          reverse_proxy ${HOST}:${toString PORT}
        '';
      };
    };
  };
}
